Index: wwwbase/styles/mill.css
===================================================================
--- wwwbase/styles/mill.css	(revision 821)
+++ wwwbase/styles/mill.css	(working copy)
@@ -1,15 +1,36 @@
 #mill .optionButtons {
+  width: 100%;
+  height: auto;
+  text-align: left;
+  border: 1px solid #CFCFCF;
+  color: #555;
+  background: #E9E9E9;
+  text-decoration: none;
   font-size: 16px;
-  text-align: left;
-  width: 100%;
-  height: 50px;
-  margin-bottom: 3px;
+  line-height: 1.5em;
+  text-shadow: 0 1px 0 #FAFAFA;
+  display: block;
+  margin: 10px 0px;
+  padding: 10px;
+  cursor: pointer;
+  -moz-border-radius: 3px;
+  -webkit-border-radius: 3px;
+  border-radius: 3px;
+  -moz-box-shadow: 0 3px 1px #b1b1b1, #fafafa 0 -1px 0 inset;
+  -webkit-box-shadow: 0 3px 1px #B1B1B1, #FAFAFA 0 -1px 0 inset;
+  box-shadow: 0 3px 1px #B1B1B1, #FAFAFA 0 -1px 0 inset;
+  background: rgb(255, 247, 169);
 }
 
+#mill .optionButtons:hover {
+  background: rgb(255, 240, 0);
+}
+
 #mill .word {
   font-weight: bold;
-  font-size: 40px;
+  font-size: 26px;
   text-align: left;
+  margin-right: 5px;
 }
 
 #mill .buttonHinted {
@@ -40,3 +61,23 @@
 #resultsPage {
   display: none;
 }
+
+.questionNumber {
+  display: inline-block;
+  margin-right: 10px;
+  margin-left: -6px;
+  color: #777;
+}
+
+#mill {
+  margin: 20px 0px 10px 0px;
+}
+
+.millArea {
+  border: 2px dotted #F0F0B6;
+  padding: 10px 10px 0px 10px;
+  -moz-border-radius: 4px;
+  border-radius: 4px;
+}
+
+
Index: wwwbase/js/mill.js
===================================================================
--- wwwbase/js/mill.js	(revision 821)
+++ wwwbase/js/mill.js	(working copy)
@@ -10,10 +10,10 @@
     }
   }).done( function(xml) {
       $(".word").html($(xml).find("word").text());
-      $('.optionButtons[value="1"]').html("1. " + $(xml).find("definition1").text());
-      $('.optionButtons[value="2"]').html("2. " + $(xml).find("definition2").text());
-      $('.optionButtons[value="3"]').html("3. " + $(xml).find("definition3").text());
-      $('.optionButtons[value="4"]').html("4. " + $(xml).find("definition4").text());
+      $('.optionButtons[value="1"]').html("a&#41; " + $(xml).find("definition1").text());
+      $('.optionButtons[value="2"]').html("b&#41; " + $(xml).find("definition2").text());
+      $('.optionButtons[value="3"]').html("c&#41; " + $(xml).find("definition3").text());
+      $('.optionButtons[value="4"]').html("d&#41; " + $(xml).find("definition4").text());
       answer = $(xml).find("answer").text();
       answerId = $(xml).find("answerId").text();
     }
@@ -23,13 +23,13 @@
 function mill_optionPressed(field) {
   if (answer == field.val()) {
     field.addClass('buttonGuessed');
-    $('#statusImage' + round).attr("src", wwwRoot + "img/mill/success.jpg");
+    $('#statusImage' + round).attr("src", wwwRoot + "img/mill/success.png");
     answeredCorrect = answeredCorrect + 1;
     guessed = 1;
   } else {
     field.addClass('buttonMissed');
     $('.optionButtons[value="' + answer + '"]').addClass('buttonHinted');
-    $('#statusImage'+round).attr("src", wwwRoot + "img/mill/fail.jpg");
+    $('#statusImage'+round).attr("src", wwwRoot + "img/mill/fail.png");
     guessed = 0;
   }
   
Index: templates/common/mill.ihtml
===================================================================
--- templates/common/mill.ihtml	(revision 821)
+++ templates/common/mill.ihtml	(working copy)
@@ -8,34 +8,37 @@
   var guessed = 0;
 </script>
 
-<p class="paragraphTitle">Moara cuvintelor</p>
+<div class="millArea">
+  <p class="paragraphTitle">Moara cuvintelor</p>
 
-<div id="mainPage">
-  <form id="main" action="">
-    <button class="difficultyButtons" type="button" value="1">Ușor</button>
-    <button class="difficultyButtons" type="button" value="2">Mediu</button>
-    <button class="difficultyButtons" type="button" value="3">Greu</button>
-    <button class="difficultyButtons" type="button" value="4">Foarte greu</button>
-  </form>
-  Se poate juca și cu tastatura folosind tastele: 1, 2, 3, 4.
-</div>
+  <div id="mainPage">
+    <form id="main" action="">
+      <button class="difficultyButtons" type="button" value="1">Ușor</button>
+      <button class="difficultyButtons" type="button" value="2">Mediu</button>
+      <button class="difficultyButtons" type="button" value="3">Greu</button>
+      <button class="difficultyButtons" type="button" value="4">Foarte greu</button>
+    </form>
+    Se poate juca și cu tastatura folosind tastele: 1, 2, 3, 4.
+  </div>
 
 
-<div id="questionPage">
-  {section name=round start=1 loop=11} {* Yes, Smarty, 11 means 10 *}
-    <img id="statusImage{$smarty.section.round.index}" src="{$imgRoot}/mill/pending.jpg" alt="imagine pentru runda {$smarty.section.round.index}"/>
-  {/section}
+  <div id="questionPage">
+    {section name=round start=1 loop=11} {* Yes, Smarty, 11 means 10 *}
+        <img id="statusImage{$smarty.section.round.index}" src="{$imgRoot}/mill/Q_pending.png" alt="imagine pentru runda {$smarty.section.round.index}"/>
+        <span class="questionNumber">{$smarty.section.round.index}</span>
+    {/section}
 
-  <form id="mill" action="">
-    <p class="word"></p>
-    <button class="optionButtons" type="button" value="1">1</button>
-    <button class="optionButtons" type="button" value="2">2</button>
-    <button class="optionButtons" type="button" value="3">3</button>
-    <button class="optionButtons" type="button" value="4">4</button>
-  </form>
+    <form id="mill" action="">
+      <label><span class="word"></span> înseamnă:</label>
+      <button class="optionButtons" type="button" value="1">a&#41;</button>
+      <button class="optionButtons" type="button" value="2">b&#41;</button>
+      <button class="optionButtons" type="button" value="3">c&#41;</button>
+      <button class="optionButtons" type="button" value="4">d&#41;</button>
+    </form>
+  </div>
+
+  <div id="resultsPage">
+    <p>Felicitări! Ai răspuns corect la <b id="answeredCorrect">0</b> din 10.</p>
+    <button id="newGameButton">Joc nou</button>
+  </div>
 </div>
-
-<div id="resultsPage">
-  <p>Felicitări! Ai răspuns corect la <b id="answeredCorrect">0</b> din 10.</p>
-  <button id="newGameButton">Joc nou</button>
-</div>
\ No newline at end of file
